- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::IdentityMatrixSpace Class Reference

This is the matrix space for IdentityMatrix. More...

`#include <IpIdentityMatrix.hpp>`

Inheritance diagram for Ipopt::IdentityMatrixSpace:

[legend]
Collaboration diagram for Ipopt::IdentityMatrixSpace:

[legend]
List of all members.

## Public Member Functions
virtual SymMatrix * | MakeNewSymMatrix () const
| Overloaded MakeNew method for the SymMatrixSpace base class.
IdentityMatrix * | MakeNewIdentityMatrix () const
| Method for creating a new matrix of this specific type.
Constructors / Destructors
| IdentityMatrixSpace (Index dim)
| Constructor, given the dimension of the matrix.
virtual | ~IdentityMatrixSpace ()
| Destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| IdentityMatrixSpace ()
| Default Constructor.
| IdentityMatrixSpace (const IdentityMatrixSpace &)
| Copy Constructor.
void | operator= (const IdentityMatrixSpace &)
| Overloaded Equals Operator.

## Detailed Description

This is the matrix space for IdentityMatrix.

Definition at line 99 of file IpIdentityMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::IdentityMatrixSpace::IdentityMatrixSpace | ( | Index | dim | ) | `[inline]`

Constructor, given the dimension of the matrix.

Definition at line 105 of file IpIdentityMatrix.hpp.

virtual Ipopt::IdentityMatrixSpace::~IdentityMatrixSpace | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 111 of file IpIdentityMatrix.hpp.

Ipopt::IdentityMatrixSpace::IdentityMatrixSpace | ( |  | ) | `[private]`

Default Constructor.

Ipopt::IdentityMatrixSpace::IdentityMatrixSpace | ( | const IdentityMatrixSpace & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual SymMatrix* Ipopt::IdentityMatrixSpace::MakeNewSymMatrix | ( |  | ) | const`[inline, virtual]`

Overloaded MakeNew method for the SymMatrixSpace base class.

Implements Ipopt::SymMatrixSpace.

Definition at line 117 of file IpIdentityMatrix.hpp.

References MakeNewIdentityMatrix().

IdentityMatrix* Ipopt::IdentityMatrixSpace::MakeNewIdentityMatrix | ( |  | ) | const`[inline]`

Method for creating a new matrix of this specific type.

Definition at line 123 of file IpIdentityMatrix.hpp.

Referenced by MakeNewSymMatrix().

void Ipopt::IdentityMatrixSpace::operator= | ( | const IdentityMatrixSpace & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/src/LinAlg/IpIdentityMatrix.hpp